Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions
SEAL_Policy< B > Class Template Reference
Inheritance diagram for SEAL_Policy< B >:

List of all members.

## Public Types

typedef word32 | WordType

## Public Member Functions

unsigned int | GetAlignment () const
unsigned int | GetBytesPerIteration () const
unsigned int | GetIterationsToBuffer () const
bool | CanOperateKeystream () const
virtual unsigned int | GetOptimalBlockSize () const
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | BYTES_PER_ITERATION
static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Protected Member Functions

void | CipherSetKey (const NameValuePairs &params, const byte *key, size_t length)
void | OperateKeystream (KeystreamOperation operation, byte *output, const byte *input, size_t iterationCount)
void | CipherResynchronize (byte *keystreamBuffer, const byte *IV, size_t length)
bool | CipherIsRandomAccess () const
void | SeekToIteration (lword iterationCount)

## Detailed Description

### template<class B = BigEndian>
class SEAL_Policy< B >

Definition at line 16 of file seal.h.

The documentation for this class was generated from the following file:

- seal.h